version: "2"
services:

  php:
    build: .
    environment:
        - DATABASE_HOST=postgres
        - DATABASE_CONSUMER_HOST=postgres
        - RUNDECK_HOST=rundeck
        - MAILER_HOST=mailcatcher
        - MAILER_PORT=1025
    ports:
        - "8000:80"
    volumes:
        - .:/var/www/html

  postgres:
    image: sameersbn/postgresql:9.6-2
    environment:
        - DB_USER=dev
        - DB_PASS=dev
        - DB_NAME=datatourisme_producer,datatourisme_producer_test,datatourisme_consumer,datatourisme_consumer_test
    ports:
        - "5432:5432"
    volumes:
        - postgres-data:/var/lib/postgresql

  mailcatcher:
    image: schickling/mailcatcher
    ports:
        - "1080:1080"
        - "1035:1025"

  adminer:
    image: wodby/adminer
    environment:
        - ADMINER_DEFAULT_DB_DRIVER=pgsql
        - ADMINER_DEFAULT_DB_HOST=postgres
        - ADMINER_DEFAULT_DB_NAME=datatourisme_producer
    ports:
        - "9000:9000"

  rundeck:
    image: jordan/rundeck:latest
    environment:
        - SERVER_URL=http://127.0.0.1:4440
        - RUNDECK_ADMIN_PASSWORD=admin
    #ports:
    #    - "4440:4440"
    network_mode: "host"

volumes:
  postgres-data:

# load pg dump
# psql -h localhost -U dev datatourisme_producer < path/to/producer.sql